summaryrefslogtreecommitdiffstats
path: root/development/gedit-plugins
diff options
context:
space:
mode:
author byteframe <byteframe@gmail.com>2011-10-08 08:47:51 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-10-11 21:20:29 -0500
commit77b451c918e63445731f07720c2098df03b54f16 (patch)
tree8d4e37015f728de3e624fc6cf1ca54f3790a56eb /development/gedit-plugins
parenta61ad101b77d8d5c43f6e814bfad6e16c9228bd0 (diff)
downloadslackbuilds-77b451c918e63445731f07720c2098df03b54f16.tar.gz
slackbuilds-77b451c918e63445731f07720c2098df03b54f16.tar.xz
development/gedit-plugins: Added (GNOME Text Editor Plugins)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'development/gedit-plugins')
-rw-r--r--development/gedit-plugins/README4
-rw-r--r--development/gedit-plugins/doinst.sh11
-rw-r--r--development/gedit-plugins/gedit-plugins.SlackBuild98
-rw-r--r--development/gedit-plugins/gedit-plugins.info10
-rw-r--r--development/gedit-plugins/slack-desc19
5 files changed, 142 insertions, 0 deletions
diff --git a/development/gedit-plugins/README b/development/gedit-plugins/README
new file mode 100644
index 0000000000..431758e203
--- /dev/null
+++ b/development/gedit-plugins/README
@@ -0,0 +1,4 @@
+gedit-plugins is a collection of extra plugins for use with gedit.
+
+This requires gedit. pygtksourceview is an optional dependency that also needs
+to be installed when building gedit in order to support all of the plugins.
diff --git a/development/gedit-plugins/doinst.sh b/development/gedit-plugins/doinst.sh
new file mode 100644
index 0000000000..83629a9190
--- /dev/null
+++ b/development/gedit-plugins/doinst.sh
@@ -0,0 +1,11 @@
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install gedit-show-tabbar-plugin.schemas
+schema_install gedit-drawspaces.schemas
+
diff --git a/development/gedit-plugins/gedit-plugins.SlackBuild b/development/gedit-plugins/gedit-plugins.SlackBuild
new file mode 100644
index 0000000000..102f5c5d65
--- /dev/null
+++ b/development/gedit-plugins/gedit-plugins.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for gedit
+
+# Copyright 2010,2011 Robby Workman, Northport, Alabama, USA
+# Copyright 2011 byteframe
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gedit-plugins
+VERSION=${VERSION:-2.32.0}
+BUILD=${BUILD:-1}
+TAG=${TAG=_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/gedit-plugins/gedit-plugins.info b/development/gedit-plugins/gedit-plugins.info
new file mode 100644
index 0000000000..ee5f2c61dc
--- /dev/null
+++ b/development/gedit-plugins/gedit-plugins.info
@@ -0,0 +1,10 @@
+PRGNAM="gedit-plugins"
+VERSION="2.32.0"
+HOMEPAGE="http://projects.gnome.org/gedit/"
+DOWNLOAD="ftp://ftp.gnome.org/pub/gnome/sources/gedit-plugins/2.32/gedit-plugins-2.32.0.tar.bz2"
+MD5SUM="b5123846fa41f2d94992ae67e96ff79b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="byteframe"
+EMAIL="byteframe@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/development/gedit-plugins/slack-desc b/development/gedit-plugins/slack-desc
new file mode 100644
index 0000000000..592fec4e61
--- /dev/null
+++ b/development/gedit-plugins/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gedit-plugins: gedit-plugins (GNOME Text Editor Plugins)
+gedit-plugins:
+gedit-plugins: gedit-plugins is a collection of extra plugins for use with gedit.
+gedit-plugins:
+gedit-plugins:
+gedit-plugins:
+gedit-plugins:
+gedit-plugins:
+gedit-plugins: homepage: http://projects.gnome.org/gedit
+gedit-plugins:
+gedit-plugins: